> For the complete documentation index, see [llms.txt](https://docs.keycloakify.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keycloakify.dev/keycloakify/v10/passing-url-parameters-when-redirecting-to-your-theme.md).

# Passing URL Parameters to your Theme

Let's explore how we can pass query params to the URL before redirecting to the login page so that we can transport some values from the main app to the login page.

{% embed url="<https://github.com/keycloakify/keycloakify-starter/blob/0c56eff3b00b99fd723de1dcdb91c40a3b3478cd/src/App/oidc.ts#L23>" %}

{% embed url="<https://github.com/keycloakify/keycloakify-starter/blob/0c56eff3b00b99fd723de1dcdb91c40a3b3478cd/src/keycloak-theme/login/pages/Login.tsx#L9-L13>" %}

You might want to store the value in the local storage if otherwise you'll lost it when the user navigate from the login page to the register page. Example implementation [here](https://github.com/InseeFrLab/onyxia/blob/40d393973398f5bbcea60d7cd9a9a9e0267bd273/web/src/keycloak-theme/login/onyxiaInstancePublicUrl.ts#L6-L28).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keycloakify.dev/keycloakify/v10/passing-url-parameters-when-redirecting-to-your-theme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
